package rmi.progreseau.common;

import java.math.BigInteger;
import java.rmi.*;

//Interface de notre service RMI (ct client)
//Deux fonctions pour calculer des puissances de nombres
//
public interface PowerService extends java.rmi.Remote
{
	// Calcule le carr d'un nombre
	public BigInteger carreNombre ( int nbre )
		throws RemoteException;

	// Calcule la puissance d'un nombre
	public BigInteger puissanceNombre  ( int nbre, int exposant) 
		throws RemoteException;
}

